0 Replies Latest reply on Mar 9, 2010 7:30 AM by flexdevke

    Flex SDK 3 vs 4

    flexdevke

      Dear all,

       

      I have a question concerning the bug mentionned here: http://bugs.adobe.com/jira/browse/SDK-11841

       

      In the thread, they say the following:

      01/26/09 12:23 PM

      In revision 3381 of the Flex SDK 3.0.x branch, we updated the RPC libraries to expose fault data (if it happens to be made available) and thus WebService faults would be processed for non-200 status code HTTP responses. This was also integrated to the Flex SDK 4 branch in revision 3399.

       

      When i use Flex SDK 4 (downloaded it from adobe site), my soap fault data can be exposed.

      When i use Flex SDK 3.0.x from here, http://opensource.adobe.com/wiki/display/flexsdk/Download+Flex+3, my soap fault data is still not exposed. The build date is before the date that the issue was solved according to the bug thread. I tried connecting to the svn repository, but i get a connect error.

      Can i download a SDK 3.0.X somewhere, so that i'm sure that it contains the changes from revision 3381 ? (or is building it myself the only option? )

       

      Should SDK 3.5 for example contain those changes too, because i tried the latest 3.5, and it doesnt expose my soap fault data either. (For some users, that don't have administrator rights)

       

      Any idea on a first release of Flex 4? (i read beginning of 2010 somewhere :-))

       

      Kind regards,

      J.

       

      Message was edited by: flexdevke